> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a cell

> Returns a single cell document including its typed `data` value.

Returns 404 if the cell does not exist or the caller lacks access.



## OpenAPI

````yaml get /table/cell/{cellId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/cell/{cellId}:
    get:
      tags:
        - Tables
      summary: Retrieve a cell
      description: |-
        Returns a single cell document including its typed `data` value.

        Returns 404 if the cell does not exist or the caller lacks access.
      operationId: getTableCell
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: cellId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      originId:
                        type: string
                      tableId:
                        type: string
                      rowId:
                        type: string
                      columnId:
                        type: string
                      workspaceId:
                        type: string
                      isIdentifier:
                        type: boolean
                        example: false
                      data: {}
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                      isDeleted:
                        type: boolean
                        example: false
                    required:
                      - _id
                      - tableId
                      - rowId
                      - columnId
                      - workspaceId
                      - isIdentifier
                      - createdAt
                      - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````